/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * A test service interface
 * @author Bryan Aupperle
 *
 */
 
/* @Remotable */
union inputType {
	char *string;
	long value;
};

/*
 * Function for invoking testcase service
 * @param input - input parameter(s) as either a string or a long
 * @return - output data as a string
 */
char *operation1(const union inputType input);
