/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * Basic interface to invoke testcases
 * @author Bryan Aupperle
 *
 */

/* @WebFault(name="TestException", targetNamespace="http://test.sca.oasisopen.org/") */
struct TestException {
   char *faultInfo;
};

/*
 * @Interface(name="TestInvocation")
 * @WebService(targetNamespace="http://test.sca.oasisopen.org/")
 * @Remotable
 */

/**
 * Message formats for invoking testcase
 * input - input parameter(s) as a char array
 * output data as a char array
 */
/* @WebOperation(response="invokeTestResponse")
 * @WebThrows(faults="TestException")
 */
struct invokeTest {
	char *input;
};

struct invokeTestResponse {
	char *result;
};

