/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * A test service interface with a function with an unnamed parameter and an @WebParam annotation
 * @author Bryan Aupperle
 *
 */

/* @Remotable */
/**
 * Function for invoking testcase service
 * @param input - input parameter(s) as a string
 * @return - output data as a string
 */
char *operation1(const char *input);

/**
 * Function for invoking testcase service
 * @param - input parameter(s) unnamed but @WebParam used.
 * @return - output data as a string
 */
/* @WebParam(paramName="input", type="xs:date") */
char *operation2(const char *);
