/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C component implementation
 * 1 service with interface Service17
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service17.h"
#include "SCA.h"

/* @Property */
char serviceName[50];

char *operation1(const char *input) {
	int compCode, reason, size = 50, num_values = 1;
	char *pServiceName = serviceName;
	struct ExceptionMsg faultMsg;

	SCAPropertyCString(L"serviceName", &pServiceName, &size, &num_values, &compCode, &reason);

	strcpy(faultMsg.faultInfo, serviceName);
	strcat(faultMsg.faultInfo, " operation1 invoked");
	strcat(faultMsg.faultInfo, ": Business Fault");
	SCASetFaultMessage(L"", L"", L"Exception", strlen(faultMsg.faultInfo), (void *)faultMsg.faultInfo, &compCode, &reason);
	return "";
};
