/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C component implementation
 * 1 service with interface Service1 references a global flag
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service1.h"
#include "SCA.h"
#include <unistd.h>

/* @Property */
char serviceName[50];
char flag[2];

char *operation1(const char *input) {
	int compCode, reason, size = 50, num_values = 1;
	char *pServiceName = serviceName, *result;

	SCAPropertyCString(L"serviceName", &pServiceName, &size, &num_values, &compCode, &reason);

	result = (char *)malloc(255);  /* infrastructure must free this */
	if (input[0] == 'a') {
		strcpy(flag, "a");
		sleep(2);
	}
	else {
		sleep(1);
		strcpy(flag, "b");
	}

	strcpy(result, serviceName);
	strcat(result, " operation1 invoked ");
	strcat(result, flag);
	return result;
};
