/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * C component implementation for business interface Service1Superset missing a function
 * @author Bryan Aupperle
 *
 */

#include "Service1Superset.h"
#include "SCA.h"

/* @Property */
char serviceName[50];

/* operation1 not implemented */

char *operation2(const char *input) {
	int compCode, reason, size = 50, num_values = 1;
	char *pServiceName = serviceName, *result;

	SCAPropertyCString(L"serviceName", &pServiceName, &size, &num_values, &compCode, &reason);
	
	result = (char *)malloc(255);  /* infrastructure must free this */
	strcpy(result, serviceName);
	strcat(result, " operation2 invoked");
	return result;
};
