/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * A test service interface with a function with a parameter with a struct type
 * @author Bryan Aupperle
 *
 */

/* @Remotable */
struct aa {
	int     m;
	char    n[10];
	long    o[5];
};

/**
 * Function for invoking testcase service
 * @param input - input parameter(s) as a string
 * @return - output data as a string
 */
char *operation1(const char *input);

/**
 * Function for invoking testcase service
 * @param a - struct parameter
 * @param b - float parameter
 * @return - output data as a short
 */
short operation2(struct aa a, float b);
