/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

#include "SCAPolicyDefs.h"

/**
 * A service interface which is Service1 interface with an added "Confidentiality" intent
 * @author Bryan Aupperle
 *
 */

/* @Interface(name="Service1")
 * @Remotable
 * @Requires(CONFIDENTIALITY)
 */
/**
 * Function for invoking testcase service
 * @param input - input parameter(s) as a string
 * @return - output data as a string
 */
char *operation1(const char *input);
