/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C component implementation
 * 1 service with interface Service32
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service32.h"
#include "SCA.h"

/* @Property */
wchar_t serviceName[50];

wchar_t *operation1(const wchar_t *input) {
	int compCode, reason, size = 50, num_values = 1;
	wchar_t *pServiceName = serviceName, *result;

	SCAPropertyString(L"serviceName", &pServiceName, &size, &num_values, &compCode, &reason);

	result = (wchar_t *)malloc(255);  /* infrastructure must free this */
	wcscpy(result, serviceName);
	wcscat(result, L" operation1 invoked");
	return result;
};

int8_t operation2(int16_t a, int32_t b, int64_t c) {
	return 0;
};

uint8_t operation3(uint16_t a, uint32_t b, uint64_t c) {
	return 0;
};

char operation4(char a) {
	return 0;
};

float operation5(double a) {
	return 0.0;
};

wchar_t *operation6(const wchar_t *a, const wchar_t *b, const wchar_t *c, const wchar_t *d, const wchar_t *e) {
	return L"";
};

char *operation7(const char *a) {
	return "";
};

wchar_t *operation8(const wchar_t a, const wchar_t *b) {
	return L"";
};

wchar_t *operation9(const wchar_t a, const wchar_t *b, const wchar_t *c) {
	return L"";
};

wchar_t *operation10(const wchar_t a, const wchar_t *b, const wchar_t *c, const wchar_t *d) {
	return L"";
};

wchar_t *operation11(const wchar_t a, const wchar_t *b, const wchar_t *c) {
	return L"";
};

wchar_t *operation12(const wchar_t a, const wchar_t *b, const wchar_t *c, const wchar_t *d) {
	return L"";
};

wchar_t *operation13(const wchar_t a, const wchar_t *b, const wchar_t *c) {
	return L"";
};

