/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * A test service interface with a function that is not part of the interface
 * @author Bryan Aupperle
 *
 */

/* @Remotable */
/**
 * Function that is not part of the service interface
 * @param input - input parameter(s) as a string
 * @return - output data as a string
 */
char *operation1(const char *input);

/**
 * Function for invoking testcase service
 * @param input - input parameter(s) as a string
 * @return - output data as a string
 */
/* @Operation */
char *operation2(const char *input);

