/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * A test service interface with functions using different parameter and return types
 * @author Bryan Aupperle
 *
 */

/* @Remotable */
/**
 * Function for invoking testcase service
 * @param input - input parameter(s) as a string
 * @return - output data as a string
 */
char *operation1(const char *input);

/**
 * Function for invoking testcase service
 * @param input - input parameter(s) as a string
 * @return - output data as a string but typed (illegally) as bounded
 */
/* @WebResult(type="test:boundedString5") */
char *operation2(const char *input);
