/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * A test service local interface
 * @author Bryan Aupperle
 *
 */

#if LIB_BUILD
#  define DECLSPEC_FUNC(ReturnType) __declspec(dllimport) ReturnType
#else
#  define DECLSPEC_FUNC(ReturnType) __declspec(dllexport) ReturnType
#endif

typedef char *STRING;

/*
 * Function for invoking testcase service
 * @param input - input parameter(s) as either a string or a long
 * @return - output data as a string
 */
DECLSPEC_FUNC(STRING) operation1(const STRING input);
