/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C component implementation
 * 1 service with interface Service21
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service21.h"
#include "SCA.h"

/* @Property */
char serviceName[50];

char *operation1(const char *input) {
	int compCode, reason, size = 50, num_values = 1;
	char *pServiceName = serviceName, *result;

	SCAPropertyCString(L"serviceName", &pServiceName, &size, &num_values, &compCode, &reason);

	result = (char *)malloc(255);  /* infrastructure must free this */
	strcpy(result, serviceName);
	strcat(result, " operation1 invoked");
	return result;
};

short operation2(int a, long b, long long c) {
	return 0;
};

unsigned short operation3(unsigned int a, unsigned long b, unsigned long long c) {
	return 0;
};

unsigned char operation4(signed char a, char b) {
	return 0;
};

float operation5(double a, long double b) {
	return 0.0;
};

int8_t operation6(int16_t a, int32_t b, int64_t c) {
	return 0;
};

uint8_t operation7(uint16_t a, uint32_t b, uint64_t c) {
	return 0;
};

wchar_t *operation8(wchar_t a) {
	return L"";
};

_Bool operation9(time_t a,  struct tm b) {
	return 0;
};
