/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * A remotable service interface for a program-based implementation used for a Callback
 * from Service5
 * @author Bryan Aupperle
 *
 */

/* @Remotable */
/**
 * Message formats for invoking testcase service
 * input parameter(s) as a char array
 * output data as a char array
 */
struct callback1 {
	char input[50];
};

struct callback1Response {
	char result[255];
};
